desarrollo-web-br-bd.com

No se puede localizar el paquete `docker-ce` en un ubuntu de 64 bits

Estoy tratando de instalar Docker en una máquina Ubuntu 64 siguiendo la guía de instalación oficial .

Lamentablemente, Ubuntu parece que no puede localizar el docker-ce paquete. ¿Alguna idea para arreglarlo o al menos para rastrear lo que está sucediendo?

Aquí algunos detalles para ti ...

$ uname --all; Sudo grep docker /etc/apt/sources.list; Sudo apt-get install docker-ce

Linux ubuntu 4.4.0-62-generic #83-Ubuntu SMP Wed Jan 18 14:10:15 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

deb [Arch=AMD64] https://download.docker.com/linux/ubuntu xenial stable.
# deb-src [Arch=AMD64] https://download.docker.com/linux/ubuntu xenial stable.

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package docker-ce
100
danidemi

Ubuntu 20.04 (Focal)

Sudo apt install apt-transport-https ca-certificates curl software-properties-common
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | Sudo apt-key add -
Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu eoan test"

Ubuntu 19.10 (Eoan)

Sudo apt install apt-transport-https ca-certificates curl software-properties-common
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | Sudo apt-key add -
Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu eoan stable"

Ubuntu 19.04 (Disco)

Sudo apt install apt-transport-https ca-certificates curl software-properties-common
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | Sudo apt-key add -
Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu disco stable"

Ubuntu 18.10 (Cósmico)

Sudo apt install apt-transport-https ca-certificates curl software-properties-common
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | Sudo apt-key add -
Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu bionic test"

Ubuntu 18.04 (biónico)

Sudo apt install apt-transport-https ca-certificates curl software-properties-common
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | Sudo apt-key add -
Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu bionic stable"

Ubuntu 17.10

docker-ce package está disponible en el repositorio oficial de docker (Ubutu Artful), para instalarlo utilice los siguientes comandos:

Sudo apt install apt-transport-https ca-certificates curl software-properties-common
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | Sudo apt-key add -
Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu artful stable"

Ubuntu 16.04

Puedes instalar docker-ce en Ubuntu de la siguiente manera:

Sudo apt-get install apt-transport-https ca-certificates curl software-properties-common
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | Sudo apt-key add -
Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu xenial stable"

Ejecute lo siguiente:

Sudo apt update
apt-cache search docker-ce

salida de muestra:

docker-ce - Docker: the open-source application container engine

Instalar en pc docker-ce:

Para Ubuntu 16.04 necesitas ejecutar Sudo apt update. Para Ubuntu 18.04 y superior, add-apt-repository ejecutará apt update automáticamente:

Sudo apt install docker-ce

Docker, requisitos del sistema operativo

201
GAD3R

Para cualquiera que esté usando Ubuntu 17.10 (ingenioso) y tenga este problema:

De https://docs.docker.com/engine/installation/linux/docker-ce/ubuntu/

Para instalar Docker CE, necesita la versión de 64 bits de una de estas versiones de Ubuntu:

Artful 17.10 (Docker CE 17.11 Edge solamente)

Zesty 17.04

Xenial 16.04

(LTS) Trusty 14.04 (LTS)

y:

Para agregar el repositorio Edge o prueba, agregue la palabra Edge o prueba (o ambos) después de la palabra estable en los comandos

Entonces, si está utilizando Ubuntu 17.10 (ingenioso), debe agregar esto:

$ Sudo add-apt-repository \
   "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu \
   $(lsb_release -cs) \
   stable Edge"

Al notar que se agrega la palabra "Edge". Si ya ejecutó este comando antes sin "Edge". Puedes editar el source.list archivo en /etc/apt/sources.list. Después de eso, actualice e instale docker-ce como siempre:

Sudo apt-get update
Sudo apt-get install docker-ce
13
Hieu

Intenta usar:

$ curl -fsSL https://download.docker.com/linux/ubuntu/gpg | Sudo apt-key add -

$  Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable"

$ Sudo apt-get update
$  Sudo apt install docker.io
2
ENDEESA

Parece que Docker estará en el repositorio oficial después del lanzamiento de docker-ce de diciembre (estable). Entonces este repositorio:

Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu artful stable"

deberia trabajar. Mientras tanto, pronto debería haber disponible el lanzamiento de Edge en

Sudo add-apt-repository "deb [Arch=AMD64] https://download.docker.com/linux/ubuntu artful Edge"

Pero todavía no está disponible. Pero v17.11.0-ce-rc4 se lanzó ayer, por lo que lo esperaría en cualquier momento.

Entonces, por ahora, utilicé el paquete de 17.04 repo ya que GAD3R es lo que sugiere .

enlace al problema de github.

1
kubacech

Nada de lo anterior funcionó para mí.

Eliminé la ventana acoplable por completo, luego fui y eliminé manualmente los archivos de la ventana acoplable en /var.

Reinstalado y funcionando perfectamente después.

0
Johan